﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;

@using Portal.Models.Delivery.PurchaseOrder;

<table border="0" cellpadding="3" cellspacing="3" width="850">
    <tr>
    <td style="width:110px;">
    Production Month <span style="color:Red;">*</span>
    </td>
    <td width="110">
        @Html.DevExpress().TextBox(
                    SetText =>
                    {
                        SetText.Name = "PO_MONTH";
                        SetText.Properties.EnableClientSideAPI = true;
                        SetText.Text = ViewBag.FromDate;

                        SetText.Width = 110;

                    }).GetHtml()
            </td>
        <td width="70">
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "PR Number";
            }).GetHtml()
        </td>
        <td width="110">
                @Html.DevExpress().TextBox(
                settings =>
                {
                    //settings.Properties.NullText = "<PR Number>";
                    settings.Name = "PR_NO";
                    settings.Properties.MaxLength = 50;
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 100;
                    settings.Properties.ClientSideEvents.LostFocus= "SetActivationButton";
                    settings.Properties.ClientSideEvents.Init= "SetActivationButton";
                }).GetHtml()
            </td>

        <td width="60">
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "PR Status";
            }).GetHtml()
        </td>
        <td>
             @Html.Common().DevExpress().GridLookup(
                s =>
                {
                    s.Name = "PR_STATUS";
                    s.GridProperties.Name = "grlStatusHeaderGrid";
                    s.GridProperties.KeyFieldName = "SYSTEM_VALUE";

                    s.Width = 130;

                    s.GridProperties.Width = 200;
                    s.ReadOnly = true;
                    s.GridProperties.CallbackRouteValues = new { Controller = "D31201", Action = "StatusLookupPR" };
                    s.GridProperties.Width = System.Web.UI.WebControls.Unit.Pixel(200);
                    s.GridProperties.Height = System.Web.UI.WebControls.Unit.Pixel(155);
                    s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = false;
                    s.GridProperties.CommandColumn.ShowSelectCheckbox = true;
                    s.GridProperties.Settings.VerticalScrollableHeight = 152;

                    s.GridProperties.Columns.Add(c =>
                    {
                        c.Name = "SYSTEM_VALUE";
                        c.FieldName = "SYSTEM_VALUE";

                        c.Caption = "Name";
                        //c.Width = Unit.Pixel(150);
                        c.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        c.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                }
            ).Bind(ViewData["StatusLookupPR"]).GetHtml()
        </td>
        <td width="50">
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "PR Date";
            }).GetHtml()
        </td>
         <td>
            @Html.DevExpress().DateEdit(
            settings =>
            {
                settings.Name = "PR_DATE";
                settings.Properties.MaxLength = 9;
                //settings.Properties.NullText = "<dd.MM.yyyy>";
                settings.Properties.EditFormat = EditFormat.Custom;
                settings.Properties.EditFormatString = "dd.MM.yyyy";
                settings.Properties.DisplayFormatString = "dd.MM.yyyy"; 
                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                settings.Properties.ClientSideEvents.LostFocus = "SetActivationButton";
                settings.Width = 100;
            }).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Trucking";
            }).GetHtml()
        </td>

        <td>
         @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "gridPartnerRefView";
                    gridLookup.ReadOnly = true;
                    gridLookup.Width = Unit.Pixel(110);
                    gridLookup.GridProperties.KeyFieldName = "LP_CD";
                    gridLookup.GridProperties.Width = System.Web.UI.WebControls.Unit.Pixel(310);
                    gridLookup.GridProperties.Height = System.Web.UI.WebControls.Unit.Pixel(105);
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "D31201", Action = "LPLookup" };
                    gridLookup.GridProperties.ClientSideEvents.Init = "SetActivationButton";
                    gridLookup.GridProperties.Settings.VerticalScrollableHeight = 101;

                    gridLookup.GridProperties.Settings.VerticalScrollableHeight = 105;

                    if (Model.GetModel<List<PurchaseOrderData>>().Count == 1)
                    {
                        gridLookup.Text = Model.GetModel<List<PurchaseOrderData>>()[0].LP_CD;
                        gridLookup.ClientEnabled = false;
                    }

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "LP_CD";
                        column.FieldName = "LP_CD";
                        column.Caption = "Code";
                        column.Width = Unit.Pixel(50);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "LP_CD2";
                        column.FieldName = "LOG_PARTNER_NAME";
                        column.Caption = "Name";
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    //}).Bind(ViewData["viewPartnerRef"]).GetHtml()
                }).Bind(Model.GetModel<List<PurchaseOrderData>>()).GetHtml()
        </td>


        <td style="width: 200">
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "PO Number";
            }).GetHtml()
        </td>

        <td>
            @Html.DevExpress().TextBox(
            settings =>
            {
                settings.Name = "PO_NO";
                settings.Properties.MaxLength = 50;
                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                settings.Properties.ClientSideEvents.LostFocus = "SetActivationButton";
                settings.Width = 100;
            }).GetHtml()
        </td>
        <td style="width: 200">
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "PO Status";
                label.Width = 60;
            }).GetHtml()
        </td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                s =>
                {
                    s.Name = "PO_STATUS";
                    s.GridProperties.Name = "grlStatusHeaderGrid";
                    s.GridProperties.KeyFieldName = "SYSTEM_VALUE";

                    s.Width = 130;

                    s.GridProperties.Width = 200;
                    s.ReadOnly = true;
                    s.GridProperties.CallbackRouteValues = new { Controller = "D31201", Action = "StatusLookupPO" };
                    s.GridProperties.Width = System.Web.UI.WebControls.Unit.Pixel(200);
                    s.GridProperties.Height = System.Web.UI.WebControls.Unit.Pixel(155);
                    s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = false;
                    s.GridProperties.CommandColumn.ShowSelectCheckbox = true;
                    s.GridProperties.Settings.VerticalScrollableHeight = 152;


                    s.GridProperties.Columns.Add(c =>
                    {
                        c.Name = "SYSTEM_VALUE";
                        c.FieldName = "SYSTEM_VALUE";

                        c.Caption = "Name";
                        //c.Width = Unit.Pixel(150);
                        c.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        c.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                }
            ).Bind(ViewData["StatusLookupPO"]).GetHtml()
        </td>
        <td ">
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "PO Date";
                label.Width = 50;
            }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().DateEdit(
            settings =>
            {
                settings.Name = "PO_DATE";
                settings.Properties.MaxLength = 9;
                //settings.Properties.NullText = "<dd.MM.yyyy>";
                settings.Properties.EditFormat = EditFormat.Custom;
                settings.Properties.EditFormatString = "dd.MM.yyyy";
                settings.Properties.DisplayFormatString = "dd.MM.yyyy";                 
                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                settings.Properties.ClientSideEvents.LostFocus = "SetActivationButton";
                settings.Width = 100;
            }).GetHtml()
        </td>
    </tr>
</table>
<br />
<table cellpadding="0" cellspacing="0" width="850" border="0">
    <tr>
        <td width="60%">
            

        </td>
       <td width="40%" align="right" style="padding-right:10px;">
       @Html.DevExpress().Button(
            button =>
            {
                button.Name = "btnView";
                button.Text = "Show Detail";
                button.Width = Unit.Pixel(100);
                button.Style.Add("display", "inline-table");
               // button.ClientSideEvents.Click = "ShowDetail";   
                button.ClientSideEvents.Click = "ShowDetail";   
            }).GetHtml()

            @Html.DevExpress().Button(
            button =>
            {
                button.Name = "btnSearch";
                button.Text = "Search";
                button.Width = Unit.Pixel(80);
                button.Style.Add("display", "inline-table");
                button.ClientSideEvents.Click = "SearchData";    
            }).GetHtml()

    
            @Html.DevExpress().Button(
            button =>
            {
                button.Name = "btnClear";
                button.Text = "Clear";
                button.Width = Unit.Pixel(80);
                button.Style.Add("display", "inline-table");
                button.ClientSideEvents.Click = "ClearGrid";               
            }).GetHtml()

       </td>         

    </tr>
</table>